Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.android
Class AndroidUpnpServiceConfiguration

    java.lang.Object
      org.teleal.cling.DefaultUpnpServiceConfiguration
          org.teleal.cling.android.AndroidUpnpServiceConfiguration

All Implemented Interfaces:
  UpnpServiceConfiguration

    public class AndroidUpnpServiceConfiguration

extends DefaultUpnpServiceConfiguration

Author:
  Christian Bauer

Constructor Summary
`AndroidUpnpServiceConfiguration()`
`AndroidUpnpServiceConfiguration(int streamListenPort)`

Method Summary
`protected Executor` | `createDefaultExecutor()`
`protected DeviceDescriptorBinder` | `createDeviceDescriptorBinderUDA10()`
`protected NetworkAddressFactory` | `createNetworkAddressFactory(int streamListenPort)`
`protected ServiceDescriptorBinder` | `createServiceDescriptorBinderUDA10()`
`StreamClient` | `createStreamClient()`
`StreamServer` | `createStreamServer(NetworkAddressFactory networkAddressFactory)`

Methods inherited from class org.teleal.cling.DefaultUpnpServiceConfiguration
`createDatagramIO, createDatagramProcessor, createGENAEventProcessor, createMulticastReceiver, createNamespace, createNetworkAddressFactory, createSOAPActionProcessor, getAsyncProtocolExecutor, getDatagramIOExecutor, getDatagramProcessor, getDefaultExecutor, getDeviceDescriptorBinderUDA10, getGenaEventProcessor, getMulticastReceiverExecutor, getNamespace, getRegistryListenerExecutor, getRegistryMaintainerExecutor, getServiceDescriptorBinderUDA10, getSoapActionProcessor, getStreamServerExecutor, getSyncProtocolExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AndroidUpnpServiceConfiguration

    public AndroidUpnpServiceConfiguration()

### AndroidUpnpServiceConfiguration

    public AndroidUpnpServiceConfiguration(int streamListenPort)

Method Detail

### createNetworkAddressFactory

    protected NetworkAddressFactory createNetworkAddressFactory(int streamListenPort)

  Overrides:
    `createNetworkAddressFactory` in class `DefaultUpnpServiceConfiguration`

### createStreamServer

    public StreamServer createStreamServer(NetworkAddressFactory networkAddressFactory)

  Specified by:
    `createStreamServer` in interface `UpnpServiceConfiguration`
  Overrides:
    `createStreamServer` in class `DefaultUpnpServiceConfiguration`

### createStreamClient

    public StreamClient createStreamClient()

  Specified by:
    `createStreamClient` in interface `UpnpServiceConfiguration`
  Overrides:
    `createStreamClient` in class `DefaultUpnpServiceConfiguration`

### createDeviceDescriptorBinderUDA10

    protected DeviceDescriptorBinder createDeviceDescriptorBinderUDA10()

  Overrides:
    `createDeviceDescriptorBinderUDA10` in class `DefaultUpnpServiceConfiguration`

### createServiceDescriptorBinderUDA10

    protected ServiceDescriptorBinder createServiceDescriptorBinderUDA10()

  Overrides:
    `createServiceDescriptorBinderUDA10` in class `DefaultUpnpServiceConfiguration`

### createDefaultExecutor

    protected Executor createDefaultExecutor()

  Overrides:
    `createDefaultExecutor` in class `DefaultUpnpServiceConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.